> For the complete documentation index, see [llms.txt](/llms.txt).

# `getdifficulty`

Returns the proof-of-work difficulty, as a multiple of the minimum difficulty. This method uses [80 credits](/get-started/pricing/) from your daily balance.

## Parameters[​](#parameters "Direct link to Parameters")

None

## Returns[​](#returns "Direct link to Returns")

`result`: (number) - Current proof-of-work difficulty.

### Request[​](#request "Direct link to Request")

- curl

```
curl https://bitcoin-mainnet.infura.io/v3/<YOUR-API-KEY> \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc": "2.0", "id": 1, "method": "getdifficulty", "params": []}'

```

### Response[​](#response "Direct link to Response")

- JSON

```
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": 133759191625814.6
}

```
